## wxFocusEvent

A focus event is sent when a window's focus changes. The window losing focus receives a "kill focus'' event while the window gaining it gets a "set focus'' one.

Notice that the set focus event happens both when the user gives focus to the window (whether using the mouse or keyboard) and when it is done from the program itself using SetFocus.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a focus event, use these event handler macros to direct input to a member function that takes a wxFocusEvent argument.

EVT_SET_FOCUS(func) | Process a wxEVT_SET_FOCUS event.
EVT_KILL_FOCUS(func) | Process a wxEVT_KILL_FOCUS event.

See also

Event handling overview

Members

wxFocusEvent::wxFocusEvent

### wxFocusEvent::wxFocusEvent

wxFocusEvent(WXTYPE eventType = 0, int id = 0)

Constructor.